
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:empathic_cost')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))
			.addProperty("type_tag", "string", "1", "1-2")

            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
					const type_tag = entry.getPropertyByName('type_tag');
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
					let Empathic_Cost = 0

						let power_max = global.power_amount;

					for (let power_list = 0; power_list <= power_max; power_list++) {
						let power = global['ability_' + power_list];
						let scoreboard_obj_temp = scoreboard.getObjective('Powers.Empathic.' + power);
							if (scoreboard_obj_temp != null) {
							let score_temp = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj_temp);
							let value_temp = score_temp.getScore();
						if (value_temp == 2 && type_tag == 1) {
							Empathic_Cost += 1
						}
						
						if (value_temp >= 2 && type_tag == 2) {
							entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Powers.Empathic." + power + " 1");
							}
						}
					}
					if (abilityUtil.isEnabled(entity, 'heroes:empathic_mimicry', 'Emotional_Mastery')) {
						Empathic_Cost -= 3
						if (Empathic_Cost <= 0) {
							Empathic_Cost = 0
						}
					}
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players add @s Heroes.Concentration.Hold " + Empathic_Cost + "");
				}
            });
    });